com.jscape.inet.mft.management.descriptors

## Class SftpServiceDescriptor

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.Configuration
  - - com.jscape.inet.mft.management.descriptors.ServiceDescriptor
    - - com.jscape.inet.mft.management.descriptors.TransportServiceDescriptor
      - - com.jscape.inet.mft.management.descriptors.SftpServiceDescriptor

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class SftpServiceDescriptor
      extends TransportServiceDescriptor

  SFTP service descriptor. The service described by this descriptor takes responsibility for providing SFTP server access.
  Author:
    Alex Usun
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_AUTH`
    `static int` | `DEFAULT_PORT`
    `static java.lang.String` | `PASSWORD_AUTH` Password authentication type.
    `static java.lang.String` | `PK_AUTH` Public key authentication type.
    `static java.lang.String` | `PWD_AND_PK_AUTH` Password AND public key authentication type.
    `static java.lang.String` | `PWD_OR_PK_AUTH` Password OR public key authentication type.
    `static java.lang.String[]` | `SUPPORTED_TYPES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SftpServiceDescriptor()` This constructor is used by serialization sub-system and is not intended to use directly in client code.
    `SftpServiceDescriptor(SftpServiceDescriptor that)`
    `SftpServiceDescriptor(java.lang.String host, int port, java.lang.String authenticationType, java.lang.String keyAlias)` Creates a new descriptor instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `copy()`
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getAuthenticationType()` Returns authentication type.
    `java.lang.String` | `getHost()` Returns binding host/IP.
    `java.lang.String` | `getKeyAlias()` Returns key alias.
    `int` | `getPort()` Returns binding port.
    `int` | `hashCode()`
    `void` | `setAuthenticationType(java.lang.String value)` Sets authentication type.
    `void` | `setHost(java.lang.String value)` Sets binding host/IP.
    `void` | `setKeyAlias(java.lang.String value)` Sets key alias.
    `void` | `setPort(int value)` Sets binding port.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.mft.management.descriptors.Configuration

      `getVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_PORT

          public static final int DEFAULT_PORT

      See Also:
        Constant Field Values

    - #### PASSWORD_AUTH

          public static final java.lang.String PASSWORD_AUTH

      Password authentication type.
      See Also:
        Constant Field Values

    - #### PK_AUTH

          public static final java.lang.String PK_AUTH

      Public key authentication type.
      See Also:
        Constant Field Values

    - #### PWD_OR_PK_AUTH

          public static final java.lang.String PWD_OR_PK_AUTH

      Password OR public key authentication type.
      See Also:
        Constant Field Values

    - #### PWD_AND_PK_AUTH

          public static final java.lang.String PWD_AND_PK_AUTH

      Password AND public key authentication type.
      See Also:
        Constant Field Values

    - #### DEFAULT_AUTH

          public static final java.lang.String DEFAULT_AUTH

      See Also:
        Constant Field Values

    - #### SUPPORTED_TYPES

          public static final java.lang.String[] SUPPORTED_TYPES

  - ### Constructor Detail

    - #### SftpServiceDescriptor

          public SftpServiceDescriptor(java.lang.String host,
                                       int port,
                                       java.lang.String authenticationType,
                                       java.lang.String keyAlias)

      Creates a new descriptor instance.
      Parameters:
        `host` - binding host/IP
        `port` - binding port
        `authenticationType` - authentication type
        `keyAlias` - key alias

    - #### SftpServiceDescriptor

          public SftpServiceDescriptor(SftpServiceDescriptor that)

    - #### SftpServiceDescriptor

          public SftpServiceDescriptor()

      This constructor is used by serialization sub-system and is not intended to use directly in client code.

  - ### Method Detail

    - #### getHost

          public java.lang.String getHost()

      Returns binding host/IP.
      Returns:
        binding host/IP

    - #### setHost

          public void setHost(java.lang.String value)

      Sets binding host/IP.
      Parameters:
        `value` - binding host/IP

    - #### getPort

          public int getPort()

      Returns binding port.
      Returns:
        binding port

    - #### setPort

          public void setPort(int value)

      Sets binding port.
      Parameters:
        `value` - binding port

    - #### getAuthenticationType

          public java.lang.String getAuthenticationType()

      Returns authentication type.
      Returns:
        authentication type

    - #### setAuthenticationType

          public void setAuthenticationType(java.lang.String value)

      Sets authentication type.
      Parameters:
        `value` - authentication type

    - #### getKeyAlias

          public java.lang.String getKeyAlias()

      Returns key alias.
      Returns:
        key alias

    - #### setKeyAlias

          public void setKeyAlias(java.lang.String value)

      Sets key alias.
      Parameters:
        `value` - key alias

    - #### copy

          public Configuration copy()

      Specified by:
        `copy` in class `Configuration`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2020. All Rights Reserved